Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class OriginatorInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cms.OriginatorInfo

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class OriginatorInfo
extends ASN1Object

RFC 5652: OriginatorInfo object. RFC 3369: OriginatorInfo ::= SEQUENCE { certs [0] IMPLICIT CertificateSet OPTIONAL, crls [1] IMPLICIT CertificateRevocationLists OPTIONAL } CertificateRevocationLists ::= SET OF CertificateList (from X.509) RFC 3582 / 5652: OriginatorInfo ::= SEQUENCE { certs [0] IMPLICIT CertificateSet OPTIONAL, crls [1] IMPLICIT RevocationInfoChoices OPTIONAL } RevocationInfoChoices ::= SET OF RevocationInfoChoice RevocationInfoChoice ::= CHOICE { crl CertificateList, other [1] IMPLICIT OtherRevocationInfoFormat } OtherRevocationInfoFormat ::= SEQUENCE { otherRevInfoFormat OBJECT IDENTIFIER, otherRevInfo ANY DEFINED BY otherRevInfoFormat }

TODO: RevocationInfoChoices / RevocationInfoChoice. Constructor using CertificateSet, CertificationInfoChoices

Constructor Summary
`OriginatorInfo(ASN1Set certs, ASN1Set crls)`

Method Summary
`ASN1Set` | `getCertificates()`
`ASN1Set` | `getCRLs()`
`static OriginatorInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)` Return an OriginatorInfo object from a tagged object.
`static OriginatorInfo` | `getInstance(java.lang.Object obj)` Return an OriginatorInfo object from the given object.
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OriginatorInfo

    public OriginatorInfo(ASN1Set certs,
                          ASN1Set crls)

Method Detail

### getInstance

    public static OriginatorInfo getInstance(ASN1TaggedObject obj,
                                             boolean explicit)

  Return an OriginatorInfo object from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want.
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static OriginatorInfo getInstance(java.lang.Object obj)

  Return an OriginatorInfo object from the given object.

  Accepted inputs: null → null `OriginatorInfo` object `ASN1Sequence` input formats with OriginatorInfo structure inside

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getCertificates

    public ASN1Set getCertificates()

### getCRLs

    public ASN1Set getCRLs()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD